Remove java.desktop dependency from javax.xml.
The only dependency to java.desktop was coming from JAXB.java where a 25
line method from java.beans.Introspector was used to decapitalize a Java
class name.
Partly fixes #7502.
This works around #6799 which seems to take longer than expected because
there is some implementation work left to do.
RELNOTES: None
Partial commit for third_party/*, see #8066.
Signed-off-by: Philipp Wollermann <philwo@google.com>
diff --git a/third_party/jaxb/update.sh b/third_party/jaxb/update.sh
new file mode 100755
index 0000000..b6f94cb
--- /dev/null
+++ b/third_party/jaxb/update.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -euxo pipefail
+
+mkdir srcs
+cd srcs
+jar xvf ../jaxb-api-2.3.1-sources.jar
+patch -p1 < ../remove-java.desktop.patch
+rm -rf META-INF
+find . -type f -name \*.java -print0 | xargs -0 javac
+find . -type f -name \*.class -print0 | xargs -0 jar -cvf ../jaxb-api-2.3.1-patched.jar